<?php
// vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: 
/**
 * Consulta de categoria para consulta web
 * Una versión inicial fue desarrollada en 2004 por Mauricio Rivera
 * (mauricio.rivera.p@gmail.com).
 *
 * PHP version 5
 *
 * @category  SIVeL
 * @package   SIVeL
 * @author    Vladimir Támara <vtamara@pasosdeJesus.org>
 * @copyright 2005 Dominio público.  Sin garantías. 
 * @license   http://creativecommons.org/licenses/publicdomain/ Dominio Público. Sin garantías.
 * @version   $Id: consulta_web_cat.php,v 1.16 2009/05/02 03:15:45 vtamara Exp $
 * @link      http://sivel.sf.net

 */

/**
 * Consulta de categoria para consulta web
 */
require_once "aut/conf.php";
require_once "misc.php";
require_once 'Categoria.php';

encabezado_envia('Categoria');
if (!isset($_REQUEST['t']) || !isset($_REQUEST['s']) || 
    !isset($_REQUEST['c'])) {
        die("Faltan datos para efectuar consulta");
}

$t = varEscapa($_REQUEST['t']);
$s = varEscapa($_REQUEST['s']);
$c = varEscapa($_REQUEST['c']);

$dt =& DB_DataObject::factory('tipo_violencia');
$dt->get('id', $t);
$dc =& DB_DataObject::factory('categoria');
$dc->id_tipo_violencia = $t;
$dc->id_supracategoria = $s;
$dc->id = $c;
if ($dc->find()>0) {
    $dc->fetch();
    $ds =& DB_DataObject::factory('supracategoria');
    $ds->id_tipo_violencia = $t;
    $ds->id = $s;
    $ds->find();
    $ds->fetch();
    echo "<table border='1'>";
    echo "<tr><th>Código</th><th>Descripción</th></tr>";
    echo "<tr><td>" . $t . $c . "</td><td>" . $dt->nombre." / " . $ds->nombre.
        " / " . $dc->nombre."</td></tr>";
    echo "</table>";
} else {
    die("Los datos no corresponden a una categoría");
}

pie_envia();
?>
